<?php
$title_font_data = dominion_get_fonts_data( $title_font_family );
$title_font_inline_style = dominion_google_fonts_styles( $title_font_data );
dominion_enqueue_google_fonts( $title_font_data );

$sub_title_font_data = dominion_get_fonts_data( $sub_title_font_family );
$sub_title_font_inline_style = dominion_google_fonts_styles( $sub_title_font_data );
dominion_enqueue_google_fonts( $sub_title_font_data );

$button_font_data = dominion_get_fonts_data( $button_font_family );
$button_font_inline_style = dominion_google_fonts_styles( $button_font_data );
dominion_enqueue_google_fonts( $button_font_data );

$input_width_mobile_calc = $input_width_mobile_num = 220;
if(!empty($input_width_mobile)){
	$input_width_mobile_num = substr($input_width_mobile, 0, -2);
}
$input_width_mobile_calc_nodomain = 0;
if(empty($domain)){
	$input_width_mobile_calc_nodomain = 84;
}
if(is_numeric($input_width_mobile_num)){
	$input_width_mobile_calc = $input_width_mobile_num;
}
$input_width_calculate = ($input_width_mobile_calc + 192) - $input_width_mobile_calc_nodomain;

$element_styles .='<style>
.ft-domain-search-10.'.$unique_class_name.'{
	 background:'.$bg_color.';
	 padding: '.$padding.';
	 margin: '.$margin.';
}
.ft-domain-search-10.'.$unique_class_name.':hover{
	 background: '.$bg_hover_color.';
}
.ft-domain-search-10.'.$unique_class_name.' '.esc_attr($title_tag).'.ft_title {
	color: #333;
    font-size: 35px;
    line-height: 35px;
    margin-bottom: 20px;
    font-style: normal;
	font-weight: 600;
    text-transform: uppercase;
	margin: 0 0 30px 0;
	padding: 0;
}
.ft-domain-search-10.'.$unique_class_name.' h5.ft_sub_title {
	color: #333;
}
.ft-domain-search-10.'.$unique_class_name.' '.esc_attr($title_tag).'.ft_title {
    color:'.$title_color.';
	font-size:'.$title_font_size.';
	font-weight:'.$title_font_weight.'; 
	line-height:'.$title_line_height.'; 
	'.$title_font_inline_style.'
}

.ft-domain-search-10.'.$unique_class_name.' h5.ft_sub_title {
    color:'.$sub_title_color.';
	font-size:'.$sub_title_font_size.';
	font-weight:'.$sub_title_font_weight.'; 
	line-height:'.$sub_title_line_height.'; 
	'.$sub_title_font_inline_style.'
}

.ft-domain-search-10.'.$unique_class_name.' ::placeholder { 
    color: '.$input_placeholder_color.';
    opacity: 1;
}
.ft-domain-search-10.'.$unique_class_name.' #ft_domain_searchform_domain_search_10 #ft-domain-filed-domain-search-10,
.ft-domain-search-10.'.$unique_class_name.' #ft_domain_searchform_domain_search_10 .ft-selectpicker{
    background-color: '.$input_bg_color.';
    color: '.$input_text_color.';
}


.ft-domain-search-10.'.$unique_class_name.' #searchsubmit_domain_search_10 {
	color:'.$button_text_color.';
	background:'.$button_bg_color.';
	font-size:'.$button_font_size.';
	font-weight:'.$button_font_weight.'; 
	line-height:'.$button_line_height.'; 
	'.$button_font_inline_style.'
}
.ft-domain-search-10.'.$unique_class_name.' #searchsubmit_domain_search_10:hover {
	color:'.$button_text_hover_color.';
	background:'.$button_bg_hover_color.';
}
.ft-domain-search-10.'.$unique_class_name.' .ft-available {color:'.$result_positive_color.';}
.ft-domain-search-10.'.$unique_class_name.' .ft-not-available, .callout-warning {color:'.$result_negative_color.';}
.ft-domain-search-10.'.$unique_class_name.' .input-text.dsearch-home2{
	width:'.$input_width.';
	min-width:'.$input_width.';
}
@media only screen and (max-width:767px){
.ft-domain-search-10.'.$unique_class_name.' .input-text.dsearch-home2{
	width:'.$input_width_mobile.';
	min-width:'.$input_width_mobile.' !important;
}
}
@media (max-width: '.$input_width_calculate.'px){
.ft-domain-search-10.'.$unique_class_name.' .ft-black-button {
    margin-left: 0;
    margin-top: 5px !important;
}
}
</style>';
?>