<?php
$title_font_data = dominion_get_fonts_data( $title_font_family );
$title_font_inline_style = dominion_google_fonts_styles( $title_font_data );
dominion_enqueue_google_fonts( $title_font_data );

$sub_title_font_data = dominion_get_fonts_data( $sub_title_font_family );
$sub_title_font_inline_style = dominion_google_fonts_styles( $sub_title_font_data );
dominion_enqueue_google_fonts( $sub_title_font_data );

$text_font_data = dominion_get_fonts_data( $text_font_family );
$text_font_inline_style = dominion_google_fonts_styles( $text_font_data );
dominion_enqueue_google_fonts( $text_font_data );

$button_font_data = dominion_get_fonts_data( $button_font_family );
$button_font_inline_style = dominion_google_fonts_styles( $button_font_data );
dominion_enqueue_google_fonts( $button_font_data );

$element_styles .='<style>
.ft-domain-search-5.'.$unique_class_name.'{
	 background: '.$bg_color.';
	 padding: '.$padding.';
	 margin: '.$margin.';
}
.ft-domain-search-5.'.$unique_class_name.':hover{
	 background: '.$bg_hover_color.';
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search '.esc_attr($title_tag).'.ft_title {
	color: #fff;
    font-size: 35px;
    line-height: 35px;
    margin-bottom: 20px;
    font-style: normal;
	font-weight: 700;
    text-transform: uppercase;
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search '.esc_attr($title_tag).'.ft_title .ft_sub_title {
	margin: 0 0 10px 0;
    color: #000;
    font-size: 35px;
    line-height: 35px;
	font-weight: 700;
	padding: 0;
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search '.esc_attr($title_tag).'.ft_title {
    color:'.$title_color.';
	font-size:'.$title_font_size.';
	font-weight:'.$title_font_weight.'; 
	line-height:'.$title_line_height.'; 
	'.$title_font_inline_style.'
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search '.esc_attr($title_tag).'.ft_title .ft_sub_title {
    color:'.$sub_title_color.';
	font-size:'.$sub_title_font_size.';
	font-weight:'.$sub_title_font_weight.'; 
	line-height:'.$sub_title_line_height.'; 
	'.$sub_title_font_inline_style.'
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search ::placeholder { 
    color: '.$input_placeholder_color.';
    opacity: 1;
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search #ft_domain_searchform_domain_search_5 #ft-domain-filed-domain-search-5,
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search .ft-drlist {
    background-color: '.$input_bg_color.';
    color: '.$input_text_color.';
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search p.ft_text{
    color:'.$text_color.';
	font-size:'.$text_font_size.';
	font-weight:'.$text_font_weight.'; 
	line-height:'.$text_line_height.'; 
	'.$text_font_inline_style.'
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search p.ft_text:hover{
    color:'.$text_hover_color.';
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search #searchsubmit_domain_search_5 {
	color:'.$button_text_color.';
	background:'.$button_bg_color.';
	font-size:'.$button_font_size.';
	font-weight:'.$button_font_weight.'; 
	line-height:'.$button_line_height.'; 
	'.$button_font_inline_style.'
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search #searchsubmit_domain_search_5:hover {
	color:'.$button_text_hover_color.';
	background:'.$button_bg_hover_color.';
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search .ft-available .ft-btn {
	color:'.$button_text_color.';
	border: 1px solid '.$button_bg_color.' !important;
	background:'.$button_bg_color.' !important;
	font-size:'.$button_font_size.';
	font-weight:'.$button_font_weight.'; 
	line-height:'.$button_line_height.'; 
	'.$button_font_inline_style.'
}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search .ft-available .ft-btn:hover {
	color:'.$button_text_hover_color.';
	background:'.$button_bg_hover_color.' !important;
	border: 1px solid '.$button_bg_hover_color.' !important;
}
.ft-domain-search-5.'.$unique_class_name.' .ft-available {color:'.$result_positive_color.';}
.ft-domain-search-5.'.$unique_class_name.' .ft-not-available, .callout-warning {color:'.$result_negative_color.';}
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search #ft_domain_searchform_domain_search_5 #ft-domain-filed-domain-search-5{
	width:'.$input_width.';
}
@media only screen and (max-width:767px){
.ft-domain-search-5.'.$unique_class_name.' .ft_domain_search #ft_domain_searchform_domain_search_5 #ft-domain-filed-domain-search-5{
	width:'.$input_width_mobile.';
}
}
</style>';
?>