<?php
function dominion_search_9_recaptcha_func() {
	check_ajax_referer( 'domain_search_9_nonce', 'security' );

	if(isset($_GET['response']))
	{
		$captcha = $_GET['response'];
		if(isset($_POST['recaptcha_serversidekey'])){
		$recaptcha_serversidekey = $_POST['recaptcha_serversidekey'];
		} else {
		$recaptcha_serversidekey = '';
		}
		$response=dominion_url_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=".$recaptcha_serversidekey."&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']);
       	echo $response;
        
	}

	wp_die();
}
add_action('wp_ajax_dominion_recaptcha','dominion_search_9_recaptcha_func');
add_action('wp_ajax_nopriv_dominion_recaptcha','dominion_search_9_recaptcha_func');

/******************
Domain Search - 9
******************/
function dominion_domain_search_9_shortcode($atts, $content = null) {
	$output = $image_one = '';
	extract(shortcode_atts(array(
	'image_one' => $image_one,
	'title_tag' => 'h3',
	'title' => '',
	'title_color' => '',
	'title_font_family' => '',
	'title_font_size' => '',
	'title_font_weight' => '',	
	'title_line_height' => '',
	'sub_title' => '',
	'sub_title_color' => '',
	'sub_title_font_family' => '',
	'sub_title_font_size' => '',
	'sub_title_font_weight' => '',	
	'sub_title_line_height' => '',	
	'search_pholder' => '',
	'domain' => '',
	'ajax_search' => true,
	'recaptcha' => false,
	'recaptcha_sitekey' => '',
	'recaptcha_serversidekey' => '',
	'transfer_true' => false,
	'both' => false,
	'search_action_url' => '',
	'purchase_btn_name' => '',
	'purchase_btn_url' => '',
	'input_width' => '',
	'input_width_mobile' => '',
	'section_style' => 'm-top0 domain-search',
	'input_text_color' => '',
	'input_placeholder_color' => '',
	'input_bg_color' => '',
	'button_label' => 'Search',
	'button_font_size' => '',
	'button_font_weight' => '',	
	'button_line_height' => '',	
	'button_font_family' => '',
	'button_text_color' => '',
	'button_text_hover_color' => '',
	'button_bg_color' => '',
	'button_bg_hover_color' => '',
	'result_positive_color' => '',
	'result_negative_color' => '',
	'bg_color' => '',
	'bg_hover_color' => '',
	'crossed_top' => false,
	'crossed_bottom' => false,
	'animate'=>'no',
	'animation_style'=>'',
	'anim_delay'=>'200',
	'padding'=>'',
	'margin'=>'',
	'unique_class_name' => 'ft-domain-search-uc-9'
	
	), $atts ) );
	
	$element_styles = ''; if((!empty($unique_class_name))){
		include('css/unique_class.php');
	}
	
	if ( $recaptcha === true ) {
		wp_enqueue_script( 'recaptchav2' );
		add_action( 'wp_footer', 'dominion_handle_recaptcha' );
		$enable_recaptcha = '<p><div id="dominion-recaptcha" class="g-recaptcha" data-sitekey="'.$recaptcha_sitekey.'"></div>
		<noscript>
		  <div>
			<div style="width: 302px; height: 422px; position: relative;">
			  <div style="width: 302px; height: 422px; position: absolute; top:30px;">
				<iframe src="https://www.google.com/recaptcha/api/fallback?k='.$recaptcha_sitekey.'"
						frameborder="0" scrolling="no"
						style="width: 302px; height:422px; border-style: none;">
				</iframe>
			  </div>
			</div>
			<div style="width: 300px; height: 60px; border-style: none;
						   bottom: 12px; left: 25px; margin: 0px; padding: 0px; right: 25px;
						   background: #f9f9f9; border: 1px solid #c1c1c1; border-radius: 3px;">
				  <textarea id="g-recaptcha-response" name="g-recaptcha-response"
							   class="g-recaptcha-response"
							   style="width: 250px; height: 40px; border: 1px solid #c1c1c1;
									  margin: 10px 25px; padding: 0px; resize: none;" >
				  </textarea>
			</div>
		  </div>
		</noscript></p>';
		$enable_m_v_class = 'mv_class';
	}else{
		$enable_recaptcha = "";
		$enable_m_v_class = "";
	}
	$img_one_id = preg_replace( '/[^\d]/', '', $image_one );
	$image_attributes = wp_get_attachment_image_src($img_one_id, 'full');
	$output .='<div style="'; if ( $image_attributes != '' ) { $output .= 'background: rgba(0, 0, 0, 0) url('.esc_url( $image_attributes[0] ).') no-repeat fixed center top / cover ;'; } $output .= '" class="ft-domain-search-9 ft-bg-parallax '.$unique_class_name.' animate-in '; if ( $animate != false ) { $output .=' '; } $output .='"'; if ( $animate == 'yes' ) { $output .=' data-anim-type="'.esc_attr($animation_style).'" data-anim-delay="'.esc_attr( $anim_delay ).''; } $output .='">';
	
	if ( $crossed_top != false ) { $output .='<div class="ft_crossed_shape ft_top"></div>'; }
	
	if ( $ajax_search === true ) {
		//If Ajax Domain Checker Selected
		$output .= '
	  <div class="ft-domain-search-sec">
		<div class="container">
		 <div class="row">
			<div class="col-md-4">
			  <'.esc_attr($title_tag).' class="ft_title">'.esc_attr( $title ).'</'.esc_attr($title_tag).'>
			  <h5 class="ft_sub_title">'.esc_attr( $sub_title ).'</h5>
			</div>
			';
			$output .='
			<div class="'.esc_attr( $enable_m_v_class ).'" id="domain_search_form_9" class="col-md-8">
			  '; $output .='
				<form method="post" action="./" id="ft_domain_searchform_domain_search_9" class="pure-form">
				<input class="input-text dsearch-home2" id="ft-domain-filed-domain-search-9" name="domain" value="" placeholder="'.esc_attr( $search_pholder ).'" type="text" />
				<input type="hidden" name="url" value="'.esc_url( $search_action_url ).'"/>
				'; 
				if(!empty($purchase_btn_name)){ $output .='
				<input type="hidden" name="purchase_btn_name" value="'.esc_html( $purchase_btn_name ).'"/>
				'; 
				} if(!empty($purchase_btn_url)){
				$output .='
				<input type="hidden" name="purchase_btn_url" value="'.esc_url( $purchase_btn_url ).'"/>
				'; 
				}
					if(!empty($domain)){
						$output1 = '<select id="domainext_domain_search_9" class="ft-selectpicker" name="domainext_domain_search_9" data-style="btn-primary">';
						 $domain = !empty($domain) ? explode("\n", trim($domain)) : array(); $domain = !empty($domain) ? implode(" ", $domain) : ''; $domain = !empty($domain) ? explode(" ", $domain) : array();
						  foreach ( $domain as $label ) {
						   if( $label ) { 
							 $extvalue = str_replace(array('<br />'), '', $label);
							 $output1 .= '<option value="'.htmlspecialchars_decode($label).'">'.htmlspecialchars_decode($label).'</option>';
						   }
						  }
						$output1 .= '</select>';
						$content = $output1;
					  }
					  if(!empty($domain)){
					  $output .= do_shortcode($content);
					  }
					  if ($transfer_true === true) { $output .='
								<input class="ft-8-btn ft-black-button" id="searchsubmit_domain_search_9" value="'.esc_attr( $button_label ).'" type="submit" name="transfer" />'; }
								else { $output .='<input class="ft-8-btn ft-black-button" id="searchsubmit_domain_search_9" value="'.esc_attr( $button_label ).'" type="submit" />'; }
								$output .= $enable_recaptcha;
								$output .='
								
			  </form>
			<div id="loading_domain_search_9"><b class="ft_domaincheckerloading_domain_search_9">'.esc_html__('Searching...', 'dominion').'</b></div>
			<div id="ft_results_domain_search_9" class="ft_result"></div>
			</div>
			'; 
			$output .='<p><div id="results" class="result"></div></p>
			</div>
		</div>
	  </div>';
	  
	  //If Ajax Domain Checker Not Selected
	  } else {
		  $output .= '
	  <div class="ft-domain-search-sec">
		<div class="container">
		 <div class="row">
			<div class="col-md-4">
			  <'.esc_attr($title_tag).' class="ft_title">'.esc_attr( $title ).'</'.esc_attr($title_tag).'>
			  <h5 class="ft_sub_title">'.esc_attr( $sub_title ).'</h5>
			</div>
			';
			$output .='
			<div class="col-md-8">
			  '; $output .='
				<form method="post" onsubmit="ftActionFunction()" id="ft_domain_searchform_domain_search_9" class="pure-form">
				<input class="input-text dsearch-home2" id="ft-domain-filed-domain-search-9" name="domain" value="" placeholder="'.esc_attr( $search_pholder ).'" type="text" />
				<input type="hidden" name="url" value="'.esc_url( $search_action_url ).'"/>
				'; 
				if(!empty($purchase_btn_name)){ $output .='
				<input type="hidden" name="purchase_btn_name" value="'.esc_html( $purchase_btn_name ).'"/>
				'; 
				} 
					if(!empty($domain)){
						$output1 = '<select id="domainext_domain_search_9" class="ft-selectpicker" name="domainext_domain_search_9" data-style="btn-primary">';
						 $domain = !empty($domain) ? explode("\n", trim($domain)) : array(); $domain = !empty($domain) ? implode(" ", $domain) : ''; $domain = !empty($domain) ? explode(" ", $domain) : array();
						  foreach ( $domain as $label ) {
						   if( $label ) { 
							 $extvalue = str_replace(array('<br />'), '', $label);
							 $output1 .= '<option value="'.htmlspecialchars_decode($label).'">'.htmlspecialchars_decode($label).'</option>';
						   }
						  }
						$output1 .= '</select>';
						$content = $output1;
					  }
					  if(!empty($domain)){
					  $output .= do_shortcode($content);
					  }
					  if ($transfer_true === true) { $output .='
								<input class="ft-8-btn ft-black-button" id="searchsubmit_domain_search_9" value="'.esc_attr( $button_label ).'" type="submit" name="transfer" />'; }
								else { $output .='<input class="ft-8-btn ft-black-button" id="searchsubmit_domain_search_9" value="'.esc_attr( $button_label ).'" type="submit" />'; }
								$output .='
								
			  </form>
				<script>
				function ftActionFunction(){
					var action_src = "'.$search_action_url.'" + document.getElementsByName("domain")[0].value + document.getElementsByName("domainext_domain_search_9")[0].value;					
					const url = action_src;
					const parseResult = new DOMParser().parseFromString(url, "text/html");
					const parsedUrl = parseResult.documentElement.textContent;
					console.log(parsedUrl);					
					var ft_domain_searchform_domain_search_9 = document.getElementById("ft_domain_searchform_domain_search_9");
					ft_domain_searchform_domain_search_9.action = parsedUrl ;
				}
				</script>
			</div>
			'; 
			$output .='
			</div>
		</div>
	  </div>';
	  }
	
	if ( $crossed_bottom != false ) { $output .='<div class="ft_crossed_shape ft_bottom ft_top"></div>'; } 	
	$output .= '</div>';	
	$output .= $element_styles;	return $output;
}
add_shortcode('dominion_shortcodes_domain_search_9','dominion_domain_search_9_shortcode');


if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once('doamin_search_vc_shortcodes.php');
}