<?php

/******************
Domain Search - 7
******************/
function dominion_domain_search_7_shortcode($atts, $content = null) {
	$output = $image_one = '';
	extract(shortcode_atts(array(
	'image_one' => $image_one,
	'title_tag' => 'h3',
	'title' => '',
	'title_color' => '',
	'title_bg_color' => '',
	'title_font_family' => '',
	'title_font_size' => '',
	'title_font_weight' => '',	
	'title_line_height' => '',
	'domain1' => '',
	'domain2' => '',
	'domain3' => '',
	'domain4' => '',
	'domain5' => '',
	'register_url' => '',
	'button_label' => 'Register',
	'button_font_size' => '',
	'button_font_weight' => '',	
	'button_line_height' => '',	
	'button_font_family' => '',
	'button_text_color' => '',
	'button_text_hover_color' => '',
	'button_bg_color' => '',
	'button_bg_hover_color' => '',
	'result_positive_color' => '',
	'result_negative_color' => '',
	'domain_extension_color' => '',
	'bg_color' => '',
	'bg_hover_color' => '',
	'crossed_top' => false,
	'crossed_bottom' => false,
	'animate'=>'no',
	'animation_style'=>'',
	'anim_delay'=>'200',
	'padding'=>'',
	'margin'=>'',
	'unique_class_name' => 'ft-domain-search-uc-7'
	
	), $atts ) );
	
	$element_styles = ''; if((!empty($unique_class_name))){
		include('css/unique_class.php');
	}
	
	if ( $recaptcha === true ) {
		wp_enqueue_script( 'recaptchav2' );
		add_action( 'wp_footer', 'dominion_handle_recaptcha' );
		$enable_recaptcha = '<p><div id="dominion-recaptcha" class="g-recaptcha" data-sitekey="'.$recaptcha_sitekey.'"></div>
		<noscript>
		  <div>
			<div style="width: 302px; height: 422px; position: relative;">
			  <div style="width: 302px; height: 422px; position: absolute; top:30px;">
				<iframe src="https://www.google.com/recaptcha/api/fallback?k='.$recaptcha_sitekey.'"
						frameborder="0" scrolling="no"
						style="width: 302px; height:422px; border-style: none;">
				</iframe>
			  </div>
			</div>
			<div style="width: 300px; height: 60px; border-style: none;
						   bottom: 12px; left: 25px; margin: 0px; padding: 0px; right: 25px;
						   background: #f9f9f9; border: 1px solid #c1c1c1; border-radius: 3px;">
				  <textarea id="g-recaptcha-response" name="g-recaptcha-response"
							   class="g-recaptcha-response"
							   style="width: 250px; height: 40px; border: 1px solid #c1c1c1;
									  margin: 10px 25px; padding: 0px; resize: none;" >
				  </textarea>
			</div>
		  </div>
		</noscript></p>';
		$enable_m_v_class = 'mv_class';
	}else{
		$enable_recaptcha = "";
		$enable_m_v_class = "";
	}
	$img_one_id = preg_replace( '/[^\d]/', '', $image_one );
	$image_attributes = wp_get_attachment_image_src($img_one_id, 'full');
	$output .='<div style="'; if ( $image_attributes != '' ) { $output .= 'background: rgba(0, 0, 0, 0) url('.esc_url( $image_attributes[0] ).') no-repeat fixed center top / cover ;'; } $output .= '" class="ft-domain-search-7 ft-bg-parallax '.$unique_class_name.' animate-in '; if ( $animate != false ) { $output .=' '; } $output .='"'; if ( $animate == 'yes' ) { $output .=' data-anim-type="'.esc_attr($animation_style).'" data-anim-delay="'.esc_attr( $anim_delay ).''; } $output .='">';
	
	if ( $crossed_top != false ) { $output .='<div class="ft_crossed_shape ft_top"></div>'; }
	
	$output .= '<div class="ft_domain_search">';
		if ( $title != '' ) {
         $output .= ' <'.esc_attr($title_tag).' class="ft_title">'.esc_attr( $title ).'</'.esc_attr($title_tag).'>';
		}
		if ( $domain1 != '' ) {
        $output .= '<div class="ft-domain-list"><span class="ft_domain_ex">'.esc_attr( $domain1 ).'</span><a class="pull-right ft-rg-btn" href="'.esc_url( $register_url ).'">'.esc_attr( $button_label ).'</a></div>';
		} if ( $domain2 != '' ) {
		$output .= '<div class="ft-domain-list"><span class="ft_domain_ex">'.esc_attr( $domain2 ).'</span><a class="pull-right ft-rg-btn" href="'.esc_url( $register_url ).'">'.esc_attr( $button_label ).'</a></div>';
		} if ( $domain3 != '' ) {
		$output .= '<div class="ft-domain-list"><span class="ft_domain_ex">'.esc_attr( $domain3 ).'</span><a class="pull-right ft-rg-btn" href="'.esc_url( $register_url ).'">'.esc_attr( $button_label ).'</a></div>';
		} if ( $domain4 != '' ) {
		$output .= '<div class="ft-domain-list"><span class="ft_domain_ex">'.esc_attr( $domain4 ).'</span><a class="pull-right ft-rg-btn" href="'.esc_url( $register_url ).'">'.esc_attr( $button_label ).'</a></div>';
		} if ( $domain5 != '' ) {
		$output .= '<div class="ft-domain-list"><span class="ft_domain_ex">'.esc_attr( $domain5 ).'</span><a class="pull-right ft-rg-btn" href="'.esc_url( $register_url ).'">'.esc_attr( $button_label ).'</a></div>';
		} $output .= '
		</div>';
	
	if ( $crossed_bottom != false ) { $output .='<div class="ft_crossed_shape ft_bottom ft_top"></div>'; } 	
	$output .= '</div>';	
	$output .= $element_styles;	return $output;
}
add_shortcode('dominion_shortcodes_domain_search_7','dominion_domain_search_7_shortcode');