<?php
$title_font_data = dominion_get_fonts_data( $title_font_family );
$title_font_inline_style = dominion_google_fonts_styles( $title_font_data );
dominion_enqueue_google_fonts( $title_font_data );

$button_font_data = dominion_get_fonts_data( $button_font_family );
$button_font_inline_style = dominion_google_fonts_styles( $button_font_data );
dominion_enqueue_google_fonts( $button_font_data );

$element_styles .='<style>
.ft-domain-search-12.'.$unique_class_name.'{
	 background: '.$bg_color.';
	 padding: '.$padding.';
	 margin: '.$margin.';
}
.ft-domain-search-12.'.$unique_class_name.':hover{
	 background: '.$bg_hover_color.';
}
.ft-domain-search-12.'.$unique_class_name.' '.esc_attr($title_tag).'.ft_title {
	color: #fff;
    font-size: 35px;
    line-height: 35px;
    margin-bottom: 20px;
    font-style: normal;
	font-weight: 600;
    text-transform: uppercase;
	text-align: center;
	margin: 0 0 30px 0;
	padding: 0;
}
.ft-domain-search-12.'.$unique_class_name.' '.esc_attr($title_tag).'.ft_title {
    color:'.$title_color.';
	font-size:'.$title_font_size.';
	font-weight:'.$title_font_weight.'; 
	line-height:'.$title_line_height.'; 
	'.$title_font_inline_style.'
}

.ft-domain-search-12.'.$unique_class_name.' ::placeholder { 
    color: '.$input_placeholder_color.';
    opacity: 1;
}
.ft-domain-search-12.'.$unique_class_name.' #ft_domain_searchform_domain_search_12 #ft-domain-filed-domain-search-12{
    background-color: '.$input_bg_color.';
    color: '.$input_text_color.';
}

.ft-domain-search-12.'.$unique_class_name.' #searchsubmit_domain_search_12 {
	color:'.$button_text_color.';
	background:'.$button_bg_color.';
	font-size:'.$button_font_size.';
	font-weight:'.$button_font_weight.'; 
	line-height:'.$button_line_height.'; 
	'.$button_font_inline_style.'
}
.ft-domain-search-12.'.$unique_class_name.' #searchsubmit_domain_search_12:hover {
	color:'.$button_text_hover_color.';
	background:'.$button_bg_hover_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-domain-list {
    color:'.$domain_extension_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-domain-list span.ft-font-color {
    color:'.$domain_price_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-available .ft-btn {
	color:'.$button_text_color.';
	border: 1px solid '.$button_bg_color.' !important;
	background:'.$button_bg_color.' !important;
	font-size:'.$button_font_size.';
	font-weight:'.$button_font_weight.'; 
	line-height:'.$button_line_height.'; 
	'.$button_font_inline_style.'
}
.ft-domain-search-12.'.$unique_class_name.' .ft-available .ft-btn:hover {
	color:'.$button_text_hover_color.';
	background:'.$button_bg_hover_color.';
	border: 1px solid '.$button_bg_hover_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-view-links a {
	color:'.$link_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-view-links a:hover {
	color:'.$link_hover_color.';
}
.ft-domain-search-12.'.$unique_class_name.' .ft-available {color:'.$result_positive_color.';}
.ft-domain-search-12.'.$unique_class_name.' .ft-not-available, .callout-warning {color:'.$result_negative_color.';}
.ft-domain-search-12.'.$unique_class_name.' .input-text.wide-input{
	width:'.$input_width.';
	min-width:'.$input_width.' !important;
}
@media only screen and (max-width:767px){
.ft-domain-search-12.'.$unique_class_name.' .input-text.wide-input{
	width:'.$input_width_mobile.';
	min-width:'.$input_width_mobile.' !important;
}
}
</style>';
?>