<?php
function dominion_search_12_recaptcha_func() {
	check_ajax_referer( 'domain_search_12_nonce', 'security' );

	if(isset($_GET['response']))
	{
		$captcha = $_GET['response'];
		if(isset($_POST['recaptcha_serversidekey'])){
		$recaptcha_serversidekey = $_POST['recaptcha_serversidekey'];
		} else {
		$recaptcha_serversidekey = '';
		}
		$response=dominion_url_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=".$recaptcha_serversidekey."&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']);
       	echo $response;
        
	}

	wp_die();
}
add_action('wp_ajax_dominion_recaptcha','dominion_search_12_recaptcha_func');
add_action('wp_ajax_nopriv_dominion_recaptcha','dominion_search_12_recaptcha_func');

/******************
Domain Search - 12
******************/
function dominion_domain_search_12_shortcode($atts, $content = null) {
	$output = $image_one = '';
	extract(shortcode_atts(array(
	'image_one' => $image_one,
	'title_tag' => 'h3',
	'title' => '',
	'title_color' => '',
	'title_font_family' => '',
	'title_font_size' => '',
	'title_font_weight' => '',	
	'title_line_height' => '',
	'search_pholder' => '',
	'domain' => '',
	'ajax_search' => true,
	'recaptcha' => false,
	'recaptcha_sitekey' => '',
	'recaptcha_serversidekey' => '',
	'sample_domain1' => '',
	'sample_domain1_pricing' => '',
	'sample_domain2' => '',
	'sample_domain2_pricing' => '',
	'sample_domain3' => '',
	'sample_domain3_pricing' => '',
	'sample_domain4' => '',
	'sample_domain4_pricing' => '',
	'sample_domain5' => '',
	'sample_domain5_pricing' => '',
	'both' => false,
	'transfer_true' => false,
	'search_action_url' => '',
	'purchase_btn_name' => '',
	'purchase_btn_url' => '',
	'input_width' => '',
	'input_width_mobile' => '',
	'view_domain_url' => '',
	'bulk_domain_url' => '',
	'transfer_domain_url' => '',
	'input_text_color' => '',
	'input_placeholder_color' => '',
	'input_bg_color' => '',
	'button_label' => 'Search',
	'button_font_size' => '',
	'button_font_weight' => '',	
	'button_line_height' => '',	
	'button_font_family' => '',
	'button_text_color' => '',
	'button_text_hover_color' => '',
	'button_bg_color' => '',
	'button_bg_hover_color' => '',
	'result_positive_color' => '',
	'result_negative_color' => '',
	'domain_extension_color' => '',
	'domain_price_color' => '',
	'bg_color' => '',
	'bg_hover_color' => '',
	'link_color' => '',
	'link_hover_color' => '',
	'crossed_top' => false,
	'crossed_bottom' => false,
	'animate'=>'no',
	'animation_style'=>'',
	'anim_delay'=>'200',
	'padding'=>'',
	'margin'=>'',
	'unique_class_name' => 'ft-domain-search-uc-12'
	
	), $atts ) );
	
	$element_styles = ''; if((!empty($unique_class_name))){
		include('css/unique_class.php');
	}
	
	if ( $recaptcha === true ) {
		wp_enqueue_script( 'recaptchav2' );
		add_action( 'wp_footer', 'dominion_handle_recaptcha' );
		$enable_recaptcha = '<p><div id="dominion-recaptcha" class="g-recaptcha" data-sitekey="'.$recaptcha_sitekey.'"></div>
		<noscript>
		  <div>
			<div style="width: 302px; height: 422px; position: relative;">
			  <div style="width: 302px; height: 422px; position: absolute; top:30px;">
				<iframe src="https://www.google.com/recaptcha/api/fallback?k='.$recaptcha_sitekey.'"
						frameborder="0" scrolling="no"
						style="width: 302px; height:422px; border-style: none;">
				</iframe>
			  </div>
			</div>
			<div style="width: 300px; height: 60px; border-style: none;
						   bottom: 12px; left: 25px; margin: 0px; padding: 0px; right: 25px;
						   background: #f9f9f9; border: 1px solid #c1c1c1; border-radius: 3px;">
				  <textarea id="g-recaptcha-response" name="g-recaptcha-response"
							   class="g-recaptcha-response"
							   style="width: 250px; height: 40px; border: 1px solid #c1c1c1;
									  margin: 10px 25px; padding: 0px; resize: none;" >
				  </textarea>
			</div>
		  </div>
		</noscript></p>';
		$enable_m_v_class = 'mv_class';
	}else{
		$enable_recaptcha = "";
		$enable_m_v_class = "";
	}
	$img_one_id = preg_replace( '/[^\d]/', '', $image_one );
	$image_attributes = wp_get_attachment_image_src($img_one_id, 'full');
	$output .='<div style="'; if ( $image_attributes != '' ) { $output .= 'background: rgba(0, 0, 0, 0) url('.esc_url( $image_attributes[0] ).') no-repeat fixed center top / cover ;'; } $output .= '" class="ft-domain-search-12 ft-bg-parallax '.$unique_class_name.' animate-in '; if ( $animate != false ) { $output .=' '; } $output .='"'; if ( $animate == 'yes' ) { $output .=' data-anim-type="'.esc_attr($animation_style).'" data-anim-delay="'.esc_attr( $anim_delay ).''; } $output .='">';
	
	if ( $crossed_top != false ) { $output .='<div class="ft_crossed_shape ft_top"></div>'; }

		$output .= '
	  <div class="">
		<div class="container">
		  <div class="row">
			<div class="'.esc_attr( $enable_m_v_class ).'" id="domain_search_form_12" class="col-md-12">
			  '; $output .='
				<form method="post" action="./" id="ft_domain_searchform_domain_search_12" class="pure-form">
				<input class="input-text wide-input" id="ft-domain-filed-domain-search-12" name="domain" value="" placeholder="'.esc_attr( $search_pholder ).'" type="text" />
				<input type="hidden" name="url" value="'.esc_url( $search_action_url ).'"/>
				'; 
				if(!empty($purchase_btn_name)){ $output .='
				<input type="hidden" name="purchase_btn_name" value="'.esc_html( $purchase_btn_name ).'"/>
				'; 
				} if(!empty($purchase_btn_url)){
				$output .='
				<input type="hidden" name="purchase_btn_url" value="'.esc_url( $purchase_btn_url ).'"/>
				'; 
				}
					  if ($transfer_true === true) { $output .='
								<input class="ft-8-btn ft-green-button" id="searchsubmit_domain_search_12" value="'.esc_attr( $button_label ).'" type="submit" name="transfer" />'; }
								else { $output .='<input class="ft-8-btn ft-green-button" id="searchsubmit_domain_search_12" value="'.esc_attr( $button_label ).'" type="submit" />'; }
								$output .= $enable_recaptcha;
								$output .='
								
			  </form>
			<div id="loading_domain_search_12"><b class="ft_domaincheckerloading_domain_search_12">'.esc_html__('Searching...', 'dominion').'</b></div>
			<div id="ft_results_domain_search_12" class="ft_result"></div>
			</div>
			'; 
			$output .='
			<div class="col-md-6 ft-domain-list">
			'; if ( $sample_domain1 != '' ) { $output .=''.esc_attr( $sample_domain1 ).' <span class="ft-font-color">'.esc_attr( $sample_domain1_pricing ).'</span> <small class="ft-font-red">*</small> <span class="ft-space-pad"></span>'; } $output .='
						'; if ( $sample_domain2 != '' ) { $output .=''.esc_attr( $sample_domain2 ).' <span class="ft-font-color">'.esc_attr( $sample_domain2_pricing ).'</span> <small class="ft-font-red">*</small> <span class="ft-space-pad"></span>'; } $output .='
						'; if ( $sample_domain3 != '' ) { $output .=''.esc_attr( $sample_domain3 ).' <span class="ft-font-color">'.esc_attr( $sample_domain3_pricing ).'</span> <small class="ft-font-red">*</small> <span class="ft-space-pad"></span>'; } $output .='
						'; if ( $sample_domain4 != '' ) { $output .=''.esc_attr( $sample_domain4 ).' <span class="ft-font-color">'.esc_attr( $sample_domain4_pricing ).'</span> <small class="ft-font-red">*</small> <span class="ft-space-pad"></span>'; } $output .='
						'; if ( $sample_domain5 != '' ) { $output .=''.esc_attr( $sample_domain5 ).' <span class="ft-font-color">'.esc_attr( $sample_domain5_pricing ).'</span> <span class="ft-space-pad"></span>'; } $output .='
			</div>
			<div class="col-md-6 m-top3 ft-view-links"> 
				'; if ( $view_domain_url != '' ) { $output .='<a href="'.esc_url( $view_domain_url ).'">'.esc_html__('View Domain Price List', 'dominion').'</a> <span>-</span>'; } $output .='
				'; if ( $bulk_domain_url != '' ) { $output .='<a href="'.esc_url( $bulk_domain_url ).'">'.esc_html__('Bulk Domain Search', 'dominion').'</a> <span>-</span>'; } $output .='
				'; if ( $transfer_domain_url != '' ) { $output .='<a href="'.esc_url( $transfer_domain_url ).'">'.esc_html__('Transfer Domain', 'dominion').'</a>'; } $output .='
			</div>
			'; 
			$output .='
		  ';
		  $output .='</div>';
		  $output .='
		</div>
	  </div>';
	
	if ( $crossed_bottom != false ) { $output .='<div class="ft_crossed_shape ft_bottom ft_top"></div>'; } 	
	$output .= '</div>';	
	$output .= $element_styles;	return $output;
}
add_shortcode('dominion_shortcodes_domain_search_12','dominion_domain_search_12_shortcode');


if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once('doamin_search_vc_shortcodes.php');
}